/*
 * ItemListSortDirection.java
 */

package de.pdv_systeme.JTLviz;

/**
 * Sort directions for the ItemListModel
 *
 * @author <a href="mailto:mv@pdv-systeme.de">Martin Vorlnder</a>
 */
public final class ItemListSortDirection {
    
    /** A sort order */
    public final static ItemListSortDirection
            ASCENDING  = new ItemListSortDirection("ItemListSortDirection.ASCENDING"),
            DESCENDING = new ItemListSortDirection("ItemListSortDirection.DESCENDING");
    
    /** The name */
    private String name;

    /**
     * Private constructor.
     *
     * @param name  the name.
     */
    private ItemListSortDirection(final String name) {
        this.name = name;
    }
    
    /**
     * Return a string representation of the sort order.
     *
     * @return The string
     */
    public String toString() {
        return name;
    }
}
