/*
 * ItemListSortStyle.java
 */

package de.pdv_systeme.JTLviz;

/**
 * Sort orders for the ItemListModel
 *
 * @author <a href="mailto:mv@pdv-systeme.de">Martin Vorlnder</a>
 */
public final class ItemListSortStyle {
    
    /** A sort order */
    public final static ItemListSortStyle
            ALPHABETICALLY = new ItemListSortStyle("ItemListSortStyle.ALPHABETICALLY"),
            MEDIAN         = new ItemListSortStyle("ItemListSortStyle.MEDIAN"),
            ORIGINAL_INDEX = new ItemListSortStyle("ItemListSortStyle.ORIGINAL_INDEX");
    
    /** The name */
    private String name;

    /**
     * Private constructor.
     *
     * @param name  the name.
     */
    private ItemListSortStyle(final String name) {
        this.name = name;
    }
    
    /**
     * Return a string representation of the sort order.
     *
     * @return The string
     */
    public String toString() {
        return name;
    }
}
