/*
 * TSChartPropertyChangeEvent.java
 */

package de.pdv_systeme.TSChart;

import java.beans.PropertyChangeEvent;

/**
 * A change event that encapsulates information about a change to a TSChartProperty.
 * @see TSChartPropertyChangeListener
 *
 * @author <a href="mailto:mv@pdv-systeme.de">Martin Vorlnder</a>
 */
public class TSChartPropertyChangeEvent
        extends PropertyChangeEvent {
    
    /**
     * Creates a new TSChartPropertyChange event.
     * @param source  the source of the event
     * @param propertyName  The programmatic name of the property
     *		that was changed.
     * @param oldValue  The old value of the property.
     * @param newValue  The new value of the property.
     */
    public TSChartPropertyChangeEvent(
            Object source,
            String propertyName,
            Object oldValue,
            Object newValue
            ) {
        super(source, propertyName, oldValue, newValue);
    }
    
}
