/*
 * TSChartPropertyChangeListener.java
 */

package de.pdv_systeme.TSChart;

import java.util.EventListener;

/**
 * The interface that must be supported by classes that wish to receive 
 * notification of TSChartPropertyChange events.
 * @see TSChartPropertyChangeEvent
 *
 * @author <a href="mailto:mv@pdv-systeme.de">Martin Vorlnder</a>
 */
public interface TSChartPropertyChangeListener
        extends EventListener {
    
    /**
     * Receives notification of a TSChartPropertyChange event.
     * @param event  the event.
     */
    public void propertyChanged(TSChartPropertyChangeEvent event);

}
